<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class servers extends Controller {
	public function __construct() {

		$this->header();
		$this->model('users');
		$this->model('servers');
		$this->model('games');
		
		if(empty($_SESSION['user_id'])):
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$user = $this->usersModel->getUser($_SESSION['user_id']);
		$this->data['user'] = $user;
		
		if($user['user_group'] != $this->setting('admin_group')):
			$this->data['error'] = 'Вы не имеете доступа!';
			return $this->view(array('login/index'), $this->data); //Загружаем шаблон
		endif;
		
		$this->data['activeSection'] = 'modules';
		$this->data['menu'] = array(array('url'=> 'servers/add', 'icon' => 'plus', 'name'=> 'Добавить сервер'), array('url'=> 'games', 'icon' => 'gamepad', 'name'=> 'Список доступных игр')); 
		
		$games = $this->gamesModel->getGames();
		$this->data['games'] = $games;
		
		if($this->POST('add_server')){
			$game = $this->POST('game');
			$ip = $this->POST('ip');
			$port = $this->POST('port');
			$weburl = $this->POST('weburl');
			
			if($game && $ip && $port && $weburl){
				if($this->gamesModel->getGameInfo($game)){
					if(strlen($port) >= '4' && strlen($ip) >= '7'){
						if(!$this->serversModel->checkServer($ip, $port)){
							if($this->serversModel->addServer($game, $ip, $port, $weburl)){
								$this->data['success'] = 'Сервер успешно добавлен.';
							} else {
								$this->data['error'] = 'При добавлении сервера произошла ошибка.';
							}
						} else {
							$this->data['error'] = 'Этот сервер уже был добавлен.';
						}
					} else {
						$this->data['error'] = 'Неверно введен IP адрес и (или) порт!';
					}
				} else {
					$this->data['error'] = 'Неверно выбрана игра!';
				}
			} else {
				$this->data['error'] = 'Все поля обязательны к заполнению!';
			}
		}
		
		return $this->view(array('common/header', 'servers/add', 'common/footer'), $this->data); //Загружаем шаблон
	}
}